Bug 1792187 - [RFE] last_checkin report template
Summary: [RFE] last_checkin report template
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: All
OS: All
unspecified
high vote
Target Milestone: Unspecified
Assignee: Waldirio M Pinheiro
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 09:00 UTC by Waldirio M Pinheiro
Modified: 2020-05-19 06:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28787 Normal New RFE - last_checkin report template 2020-05-18 08:31:04 UTC
Foreman Issue Tracker 28789 Normal Closed Allow pool organization in safe mode 2020-05-18 08:31:04 UTC

Description Waldirio M Pinheiro 2020-01-17 09:00:50 UTC
Description of problem:
All the time customers are looking for a way to check the last_checkin just to remove the content host automatically (based on timeframe). For example, virt-who-* servers, hypervisors with more than 10 days without checking could be removed.

Version-Release number of selected component (if applicable):
6.6.z

How reproducible:
100%

Steps to Reproduce:
1. We don't have this report available.
2.
3.

Actual results:
not available

Expected results:
List of content hosts with last_checkin
---
[root@wallsat66 ~]# echo "select h.name,h.id,ksf.host_id,ksf.last_checkin,ksf.hypervisor from katello_subscription_facets as ksf, hosts as h where h.id=ksf.host_id and ksf.hypervisor='t' order by ksf.last_checkin" | su - postgres -c "psql foreman"
                     name                     | id | host_id |    last_checkin     | hypervisor 
----------------------------------------------+----+---------+---------------------+------------
 virt-who-esxi1.lab.eng.rdu2.redhat.com-1     | 16 |      16 | 2020-01-10 18:36:44 | t
 virt-who-esxi2.lab.eng.rdu2.redhat.com-1     | 17 |      17 | 2020-01-10 18:36:44 | t
 virt-who-esxi5.lab.eng.rdu2.redhat.com-1     | 19 |      19 | 2020-01-10 18:36:44 | t
 virt-who-newserver.lab.eng.rdu2.redhat.com-1 | 18 |      18 | 2020-01-10 19:37:04 | t
---

Additional info:

Comment 7 Bryan Kearney 2020-05-11 16:04:37 UTC
Upstream bug assigned to wpinheir@redhat.com


Note You need to log in before you can comment on or make changes to this bug.